Page MenuHomePhabricator

The popup in the line chart is obstructive
Closed, ResolvedPublic

Description

When you visit any of the line charts in the v2 Wikistats, there's a pop up at the right side of the chart. It is obstructive as it prevents the hover event from getting passed down to the "change-to-table-view" component.

I am attaching a screencast to explain how the "change-to-table-view" component is getting affected.
https://www.useloom.com/share/bb4555c7f4054508a6edca5741f4238f

Also, may be we could discuss if the bullet points really need to be present, for it looks kinda out of place, just my two cents.

Event Timeline

Amitjoki created this task.Apr 11 2018, 3:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2018, 3:11 PM
Amitjoki updated the task description. (Show Details)Apr 11 2018, 3:11 PM
Amitjoki updated the task description. (Show Details)Apr 11 2018, 3:23 PM

Hey @Amitjoki, I believe this task somewhat overlaps with T187429. Resolving point 3 of T187429 will automatically resolve this. Correct me if I'm wrong.

fdans claimed this task.Apr 12 2018, 4:49 PM
fdans added a project: Analytics-Kanban.

Hey @sahil505 I'm already working on this as part of T188277. Thanks!

fdans triaged this task as High priority.Apr 12 2018, 4:51 PM
fdans moved this task from Incoming to Wikistats Beta on the Analytics board.
mforns closed this task as Resolved.May 7 2018, 4:25 PM

This was resolved by T188277.